Index: trunk/wikifiles/plastic-slices/rspecs/plastic-109/openflow-nlr-plastic-109.rspec
===================================================================
--- trunk/wikifiles/plastic-slices/rspecs/plastic-109/openflow-nlr-plastic-109.rspec	(revision 800)
+++ trunk/wikifiles/plastic-slices/rspecs/plastic-109/openflow-nlr-plastic-109.rspec	(revision 1201)
@@ -1,42 +1,45 @@
+<?xml version="1.0" encoding="UTF-8"?>
 <!-- 
-This rspec will reserve the OpenFlow resources at NLR used by the
-plastic-109 slice.
+This rspec will reserve the OpenFlow resources at NLR
+used by the plastic-109 slice.
 
-AM: https://expedient.nlr.net:1443/openflow/gapi/
+AM: https://foam.nlr.net:3626/foam/gapi/1
 -->
 
-<resv_rspec type="openflow" version="2">
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
 
-  <user affiliation="BBN" email="jbs@bbn.com" firstname="Josh" lastname="Smift" passsword="password"/>
+  <openflow:sliver description="Plastic Slices slice 109 at NLR."
+		   email="jbs@bbn.com">
 
-  <project name="plastic-109@nlr" description="Plastic Slices slice 109 at NLR"/>
+    <openflow:controller url="tcp:naxos.gpolab.bbn.com:33109" type="primary" />
 
-  <slice controller_url="tcp:naxos.gpolab.bbn.com:33109" name="naxos-33109" description="The FlowVisor on naxos, for plastic-109." expiry="1313380800"/>
+    <openflow:group name="nlr-3715">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:83:00:23:47:c8:bc:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:83:00:23:47:ca:bc:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:83:00:24:a8:d2:48:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:83:00:24:a8:d2:b8:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:83:00:26:f1:40:a8:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />
+    </openflow:group>
 
-  <flowspace>
- 
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:83:00:23:47:c8:bc:00"/>
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:83:00:23:47:ca:bc:40"/>
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:83:00:24:a8:d2:48:00"/>
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:83:00:24:a8:d2:b8:40"/>
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:83:00:26:f1:40:a8:00"/>
+    <openflow:match>
 
-    <dl_type from="2048" to="2048"/>
-    <nw_dst from="10.42.109.0" to="10.42.109.255"/>
+      <openflow:use-group name="nlr-3715" />
 
-  </flowspace>
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.109.0/24"/>
+	<openflow:nw_src value="10.42.109.0/24"/>
+      </openflow:packet>
 
-  <flowspace>
+    </openflow:match>
 
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:83:00:23:47:c8:bc:00"/>
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:83:00:23:47:ca:bc:40"/>
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:83:00:24:a8:d2:48:00"/>
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:83:00:24:a8:d2:b8:40"/>
-    <switch urn="urn:publicid:IDN+nlr:expedient:openflow+switch:0e:83:00:26:f1:40:a8:00"/>
+  </openflow:sliver>
 
-    <dl_type from="2048" to="2048"/>
-    <nw_src from="10.42.109.0" to="10.42.109.255"/>
-
-  </flowspace>
-
-</resv_rspec>
+</rspec>
